// If executed on the player's web server
var config;

// If executed on a local web browser
// const config = {totem : 2, token : "1405474bf485f41d5c538298e3e55fd9"};

// ******************************************************************
// Executed on the page loading
// ******************************************************************
function onPageLoaded() {	
	// If executed on the player's web server	
    var xhr = new XMLHttpRequest();
    xhr.addEventListener("readystatechange", function() {
        if (this.readyState === 4 && this.status == 200) {
            try {
                config = JSON.parse(this.responseText);
                getTotem(config.totem, config.token);
            } catch(e) {
                alert(e.message);
            }
        }
    });	
    xhr.open("GET", "./config.json");
    xhr.setRequestHeader("Accept", "application/json");
    xhr.setRequestHeader("Cache-Control", "no-cache");        
    xhr.send();
	
	// If executed on a local web browser
	//getTotem(config.totem, config.token);
}

// ******************************************************************
// Get the status of the designated Totem with the designated Token
// ******************************************************************
function getTotem(totem, token){
    var xhr = new XMLHttpRequest();
    var result;
    var image = document.getElementById("indice-image");

    xhr.addEventListener("readystatechange", function() {
        if (this.readyState === 4) {
            console.log(this.responseText);
            if (this.status == 200) {
                try{
                    result =JSON.parse(this.responseText);
                    var ind = result.indice;
                    switch(ind) {
                    case 1:
                        image.src = "./sources/ADEV-LOGO-VERT1.gif";
                        break;
                    case 2:
                        image.src = "./sources/ADEV-LOGO-ORANGE2.gif";
                        break;
                    case 3:
                        image.src = "./sources/ADEV-LOGO-ROUGE1.gif";
                        break;
                    default:
                        image.src = "./sources/Maintenance-ADEV.gif";
                        break;
                    }
                } catch(e) {
                    image.src = "./sources/Maintenance-ADEV.gif";
                }
            } else {
                image.src = "./sources/Maintenance-ADEV.gif";
                console.log("ERROR : "+this.status)
            }
        }
    });
    
    var url = "https://api.atmosud.org/totems/totem/" + totem + "?meta=false";	
    xhr.open("GET", url );
    xhr.setRequestHeader("Accept", "application/json");
    xhr.setRequestHeader("Authorization", token);
    xhr.send();

    setTimeout(function(){getTotem(config.totem, config.token)}, 60000);
}

// ******************************************************************
// Add a listener at the page loading
// ******************************************************************
window.addEventListener("load", onPageLoaded);